Bug 199016 - Review Request: mxml - Miniature XML development library
Review Request: mxml - Miniature XML development library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael J Knox
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 199021
  Show dependency treegraph
 
Reported: 2006-07-15 13:42 EDT by Anthony Green
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-19 12:30:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Updated mxml spec file (2.35 KB, application/octet-stream)
2006-07-16 01:18 EDT, Anthony Green
no flags Details

  None (edit)
Description Anthony Green 2006-07-15 13:42:49 EDT
Spec URL: http://people.redhat.com/~green/FE/FC5/mxml.spec
SRPM URL: http://people.redhat.com/~green/FE/FC5/mxml-2.2.2-2.src.rpm
Description: Mini-XML is a small XML parsing library that you can use to read XML
and XML-like data files in your application without requiring large
non-standard libraries.

mxml is required by zynaddsubfx, which I also plan to submit.
This spec file is based on the PlanetCCRMA version.
Comment 1 Anthony Green 2006-07-16 01:18:55 EDT
Created attachment 132521 [details]
Updated mxml spec file

This updated spec file replaces a /usr/lib reference with %{_libdir} for
x86-64.
Comment 2 Michael J Knox 2006-07-19 03:15:07 EDT
Hi. I will do the review for this. 

Review for release 3:

* RPM name is OK
* Source mxml-2.2.2.tar.gz is the same as upstream
* This is the latest version
* Builds fine in mock
* rpmlint of mxml-devel looks OK
* rpmlint of mxml looks OK
* File list of mxml-devel looks OK
* File list of mxml looks OK
* INSERT RESULT OF RUN TEST

Needs work:
* Spec file: some paths are not replaced with RPM macros
  (wiki: QAChecklist item 7)


Notes:

You need to use %{_datadir} not /usr/share

Fix this up and I can approve this package. 
Comment 3 Anthony Green 2006-07-19 03:24:59 EDT
(In reply to comment #2)
> Hi. I will do the review for this. 

Thanks.

> * INSERT RESULT OF RUN TEST

Testing library...
./testmxml test.xml >temp1.xml 2>temp1s.xml
./testmxml temp1.xml >temp2.xml 2>temp2s.xml
Stdio file test passed!
String test passed!
File descriptor test passed!
 
> Needs work:
> * Spec file: some paths are not replaced with RPM macros
>   (wiki: QAChecklist item 7)

Fixed.

New bits here:
Spec URL: http://people.redhat.com/~green/FE/FC5/mxml.spec
SRPM URL: http://people.redhat.com/~green/FE/FC5/mxml-2.2.2-4.src.rpm
Comment 4 Michael J Knox 2006-07-19 03:38:51 EDT
Cool, looks great. APPROVED. 

Please be sure to close this bug report once inmported into CVS. 
Comment 5 Anthony Green 2006-07-19 12:30:53 EDT
Thanks.

Note You need to log in before you can comment on or make changes to this bug.